# WOK
TKWOK
WOKMake

# WOKMake_BuildProcessGroup Class Reference

`#include <WOKMake_BuildProcessGroup.hxx>`

## Public Member Functions

Standard_EXPORT | WOKMake_BuildProcessGroup (const Handle(WOKMake_BuildProcess)&abp, const Handle(TCollection_HAsciiString)&aname)
Standard_EXPORT Handle_TCollection_HAsciiString | Name () const
Standard_EXPORT void | AddStep (const Handle(TCollection_HAsciiString)&astep)
Standard_EXPORT const TColStd_SequenceOfHAsciiString & | Steps () const
Standard_EXPORT const Handle_WOKMake_Step & | Step (const Standard_Integer anidx) const
Standard_EXPORT Standard_Integer | Length () const
Standard_EXPORT void | ChangeSteps (const TColStd_SequenceOfHAsciiString &aseq)
Standard_EXPORT Standard_Boolean | IsOrdered () const
Standard_EXPORT void | SetOrdered ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TCollection_HAsciiString | myname
WOKMake_BuildProcessPtr | mybp
TColStd_SequenceOfHAsciiString | mysteps
Standard_Boolean | myordered

## Constructor & Destructor Documentation

Standard_EXPORT WOKMake_BuildProcessGroup::WOKMake_BuildProcessGroup | ( | const Handle(WOKMake_BuildProcess)& | abp,
|  | const Handle(TCollection_HAsciiString)& | aname
| ) |

## Member Function Documentation

Standard_EXPORT void WOKMake_BuildProcessGroup::AddStep | ( | const Handle(TCollection_HAsciiString)& | astep | ) |

Standard_EXPORT void WOKMake_BuildProcessGroup::ChangeSteps | ( | const TColStd_SequenceOfHAsciiString & | aseq | ) |

Standard_EXPORT const WOKMake_BuildProcessGroup::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT Standard_Boolean WOKMake_BuildProcessGroup::IsOrdered | ( |  | ) | const

Standard_EXPORT Standard_Integer WOKMake_BuildProcessGroup::Length | ( |  | ) | const

Standard_EXPORT Handle_TCollection_HAsciiString WOKMake_BuildProcessGroup::Name | ( |  | ) | const

Standard_EXPORT void WOKMake_BuildProcessGroup::SetOrdered | ( |  | ) |

Standard_EXPORT const Handle_WOKMake_Step& WOKMake_BuildProcessGroup::Step | ( | const Standard_Integer | anidx | ) | const

Standard_EXPORT const TColStd_SequenceOfHAsciiString& WOKMake_BuildProcessGroup::Steps | ( |  | ) | const

## Field Documentation

WOKMake_BuildProcessPtr WOKMake_BuildProcessGroup::mybp `[private]`

Handle_TCollection_HAsciiString WOKMake_BuildProcessGroup::myname `[private]`

Standard_Boolean WOKMake_BuildProcessGroup::myordered `[private]`

TColStd_SequenceOfHAsciiString WOKMake_BuildProcessGroup::mysteps `[private]`

The documentation for this class was generated from the following file:

- WOKMake_BuildProcessGroup.hxx